# the lines which are different from MC.x.y-z.r ends with "# differ"

# make covariates once
obs <- 5399 
set.seed(6252007)
ones <- rep(1,obs)
time <- rnorm(obs,0, sqrt(0.6)) 
vote <- runif(obs)*100-50
var1.mean <- 0.2 #var=0.16
var2.mean <- 0.4 #var=0.24
var3.mean <- 0.02 #redist
var4.mean <- 0.014 #scandal 0.01370624
var1  <- rbinom(obs,1,var1.mean)-var1.mean 
var2  <- rbinom(obs,1,var2.mean)-var2.mean 
var3  <- rbinom(obs,1,var3.mean)-var3.mean 
var4  <- rbinom(obs,1,var4.mean)-var4.mean 
var5  <- (0.5*vote)+(0.5*(runif(obs)*100-50)) # differ
x <- cbind(ones,time,var1,var2,var3,vote,var4,var5) # differ

sim <- 1000 
beta0 <- c(-3.5, 1.3) 
beta1 <- c(-3.4, 0.6, 1.3,-1.4)
beta2 <- c(-4.4, 0.3,-0.2, 0.2)
beta3 <- c(-3.5,-0.3,   0,   0, 1.56, -0.06,3.16,0.01) # differ
sigma32 <- 0.3 
sigma31 <- -0.01 
sigma30 <- 0.18 
sigma10 <- 0.08 
b <- (-4:1) # differ
b.num <- length(b)

MC.beta.omit.out <- list()
b.vote <- c(-0.06,-0.1) 
for (v in 1:length(b.vote)){
MC.beta.omit.out[[v]] <- list() 
beta3[6] <- b.vote[v] 
for(j in 1:b.num){
beta0[1] <- b[j]
set.seed(7112007+(j*10000)+(v*100000)) 
MC3.beta.omit.out[[v]][[j]] <- MC.ext.omit(obs,sim,beta0,beta1,beta2,beta3,sigma32,sigma31,sigma30,sigma10,x,v,j) # differ
save.image("MC.omit.0.1-0.Rdata") # differ
#save(MC.beta.omit.out,"MC.omit.0.1-0.Rdata") # differ
}
}



