# the letters ".omit" are added to makeMCfigure.x.y-z.r
# Other difference from makeMCfigure.x.y-z.r is marked by "# differ"

beta3 <- beta3[1:7] # differ

naiive.omit.tab <- naiive.omit.CI <- naiive.omit.sd.tab <- naiive.omit.se.tab <- naiive.omit.rmse.tab <- naiive.omit.LB.tab <- naiive.omit.UB.tab <- my.omit.tab <- my.omit.CI <- my.omit.sd.tab <- my.omit.se.tab <- my.omit.rmse.tab <- my.omit.LB.tab <- my.omit.UB.tab <- list() 
for (v in 1:length(b.vote)){
MC2.omit.out <- MC3.beta.omit.out[[v]] 
b.num <- length(MC2.omit.out)
naiive.omit.tab[[v]] <- naiive.omit.CI[[v]] <- naiive.omit.sd.tab[[v]] <- naiive.omit.rmse.tab[[v]] <- naiive.omit.LB.tab[[v]] <- naiive.omit.UB.tab[[v]] <- matrix(NA,b.num,28)
my.omit.tab[[v]] <- my.omit.CI[[v]] <- my.omit.sd.tab[[v]] <-  my.omit.rmse.tab[[v]] <- my.omit.LB.tab[[v]] <- my.omit.UB.tab[[v]] <- matrix(NA,b.num,21)
beta3[6] <- b.vote[v] 
for(i in c(1:b.num)){
beta0[1] <- b[i]
naiive.omit.beta <- c(beta0,beta1[3:4]*sigma10,beta3[5:7]*sigma30,beta1,beta3[5:7]*sigma31,beta2,beta3[5:7]*sigma32,beta3)
my.omit.beta <- c(beta0,beta1,beta2,beta3,sigma32,sigma31,sigma30,sigma10)
naiive.omit.par <- na.omit(MC2.omit.out[[i]]$naiive.par)
my.omit.par <- na.omit(MC2.omit.out[[i]]$my.par)
naiive.omit.se <- na.omit(cbind(MC2.omit.out[[i]]$naiive.se,MC2.omit.out[[i]]$naiive.par))
naiive.omit.CI[[v]][i,]  <- apply(matrix(as.integer(abs(t(matrix(rep(naiive.omit.beta,nrow(naiive.omit.se)),ncol(naiive.omit.par),nrow(naiive.omit.se)))-naiive.omit.se[,(ncol(naiive.omit.par)+1):(2*ncol(naiive.omit.par))])<(naiive.omit.se[,1:ncol(naiive.omit.par)]*qnorm(0.975))),nrow(naiive.omit.se),ncol(naiive.omit.par)),2,mean)
my.omit.hessian <- MC2.omit.out[[i]]$my.hessian
my.omit.se <- matrix(NA,length(my.omit.hessian),ncol(my.omit.par))
for (j in 1:length(my.omit.hessian)){
try(my.omit.se[j,] <- sqrt(diag(-solve(my.omit.hessian[[j]]))))
}
my.omit.se <- na.omit(cbind(my.omit.se,my.omit.par))
my.omit.CI[[v]][i,]  <- apply(matrix(as.integer(abs(t(matrix(rep(my.omit.beta,nrow(my.omit.se)),ncol(my.omit.par),nrow(my.omit.se)))-my.omit.se[,(ncol(my.omit.par)+1):(2*ncol(my.omit.par))])<my.omit.se[,1:ncol(my.omit.par)]*qnorm(0.975)),nrow(my.omit.se),ncol(my.omit.par)),2,mean)
naiive.omit.tab[[v]][i,] <- apply(naiive.omit.par,2,mean)
my.omit.tab[[v]][i,] <- apply(my.omit.par,2,mean)
naiive.omit.sd.tab[[v]][i,] <- apply(naiive.omit.par,2,sd)
my.omit.sd.tab[[v]][i,] <- apply(my.omit.par,2,sd)
naiive.omit.rmse.tab[[v]][i,] <- sqrt(apply((naiive.omit.par-t(matrix(rep(naiive.omit.beta,nrow(naiive.omit.par)),ncol(naiive.omit.par),nrow(naiive.omit.par))))^2,2,mean))
my.omit.rmse.tab[[v]][i,] <- sqrt(apply((my.omit.par-t(matrix(rep(my.omit.beta,nrow(my.omit.par)),ncol(my.omit.par),nrow(my.omit.par))))^2,2,mean))
naiive.omit.LB.tab[[v]][i,] <- apply(naiive.omit.par,2,quantile,0.025)
naiive.omit.UB.tab[[v]][i,] <- apply(naiive.omit.par,2,quantile,0.975)
my.omit.LB.tab[[v]][i,] <- apply(my.omit.par,2,quantile,0.025)
my.omit.UB.tab[[v]][i,] <- apply(my.omit.par,2,quantile,0.975)
}
}

MCtable.omit <- cbind(my.omit.CI[[1]][,16],naiive.omit.CI[[1]][,27],my.omit.CI[[2]][,16],naiive.omit.CI[[2]][,27],my.omit.CI[[1]][,15],naiive.omit.CI[[1]][,26],my.omit.CI[[1]][,17],naiive.omit.CI[[1]][,28])[1:6,]*100

pdf(file="ConfidenceCoverage.omit.pdf", width=7, height=8, pointsize=12)
plot(c(-4:1),MCtable.omit[,1],type='l',ylim=c(min(MCtable.omit),max(MCtable.omit)),ylab="Coverage Percentage of 95 % Confidence Interval",xlab="Log Odds of Mean Retirement Hazard",lwd=4,lty=2)
lines(c(-4:1),MCtable.omit[,2],lty=1)
lines(c(-4:1),MCtable.omit[,3],lwd=4,lty=2)
lines(c(-4:1),MCtable.omit[,4],lty=2)
lines(c(-4:1),MCtable.omit[,5],lwd=4,lty=3)
lines(c(-4:1),MCtable.omit[,6],lty=3)
lines(c(-4:1),MCtable.omit[,7],lwd=4,lty=4)
lines(c(-4:1),MCtable.omit[,8],lty=4)
legend(-1.5,70,c("SDCR (b_vote=-0.06)","SDCR (b_vote=-0.1)","SDCR (b_redist)","SDCR (b_scandal)","MNL(b_vote=-0.06)","MNL(b_vote=-0.1)","MNL (b_redist)","MNL (b_scandal)"),lty=c(1:4),lwd=c(4,4,4,4,1,1,1,1),bty="n")
dev.off()

for (v in 1:length(b.vote)){
pdf(file=paste("fig.redist.",v,".omit.pdf",sep=""))
target <- c(1:6) 
mu <- my.omit.tab[[v]][target,15]
UB <- my.omit.UB.tab[[v]][target,15]
LB <- my.omit.LB.tab[[v]][target,15]
mu2 <- naiive.omit.tab[[v]][target,26]
UB2 <- naiive.omit.UB.tab[[v]][target,26]
LB2 <- naiive.omit.LB.tab[[v]][target,26]
ylim <- c(min(LB,LB2),max(UB,UB2))
target <- target -5
plot(target,mu,type='n',ylim=ylim,xlab="Log Odds of Mean Retirement Hazard",ylab="Coefficient of Redistrict",main=paste("Coefficient of Redistrict =",beta3[5]))
polygon(c(target,rev(target)),c(UB,rev(LB)),col="gray")
lines(target,mu,lwd=4)
polygon(c(target,rev(target)),c(UB2,rev(LB2)),density=10)
lines(target,mu2,lty=2,lwd=4)
legend(target[1],ylim[2],c("My Model","MNL"),lty=c(1,2),lwd=c(4,4))
dev.off()
}

for (v in 1:length(b.vote)){
pdf(file=paste("fig.scandal.",v,".omit.pdf",sep=""))
target <- c(1:6) 
mu <- my.omit.tab[[v]][target,17]
UB <- my.omit.UB.tab[[v]][target,17]
LB <- my.omit.LB.tab[[v]][target,17]
mu2 <- naiive.omit.tab[[v]][target,28]
UB2 <- naiive.omit.UB.tab[[v]][target,28]
LB2 <- naiive.omit.LB.tab[[v]][target,28]
ylim <- c(min(LB,LB2),max(UB,UB2))
target <- target -5
plot(target,mu,type='n',ylim=ylim,xlab="Log Odds of Mean Retirement Hazard",ylab="Coefficient of Scandal",main=paste("Coefficient of Scandal =",beta3[7]))
polygon(c(target,rev(target)),c(UB,rev(LB)),col="gray")
lines(target,mu,lwd=4)
polygon(c(target,rev(target)),c(UB2,rev(LB2)),density=10)
lines(target,mu2,lty=2,lwd=4)
legend(target[1],ylim[2],c("My Model","MNL"),lty=c(1,2),lwd=c(4,4))
dev.off()
}

for (v in 1:length(b.vote)){
pdf(file=paste("fig.priorm.",v,".omit.pdf",sep=""))
target <- c(1:6) 
mu <- my.omit.tab[[v]][target,16]
UB <- my.omit.UB.tab[[v]][target,16]
LB <- my.omit.LB.tab[[v]][target,16]
mu2 <- naiive.omit.tab[[v]][target,27]
UB2 <- naiive.omit.UB.tab[[v]][target,27]
LB2 <- naiive.omit.LB.tab[[v]][target,27]
ylim <- c(min(LB,LB2),max(UB,UB2))
target <- target -5
plot(target,mu,type='n',ylim=ylim,xlab="Log Odds of Mean Retirement Hazard",ylab="Coefficient of Prior Margin",main=paste("Coefficient of Prior Margin=",b.vote[v]))
polygon(c(target,rev(target)),c(UB,rev(LB)),col="gray")
lines(target,mu,lwd=4)
polygon(c(target,rev(target)),c(UB2,rev(LB2)),density=10)
lines(target,mu2,lty=2,lwd=4)
legend(target[1],ylim[2],c("My Model","MNL"),lty=c(1,2),lwd=c(4,4))
dev.off()
}
