#################################################
# Ver.0.1-0, Feb. 11, 2009
# This code implements 
# Monte Carlo simulation of omitted variable bias
# mentioned but not reported in the paper (p. 27)

#######################################
# estimator code and library are loaded

# SDCR codes
source("rho4.0.1-0.r") 
# for multinomial logit
library(nnet)

########################
# Monte Carlo simulation 

# you may increase memory size
memory.limit(4000) 

# You may run the following code and execute Monte Carlo simulation,
# though it takes my computer 1 week!
# source("MC.ext.omit.0.1-0.r")
# source("MC.omit.0.1-0.r")

# Instead, I recommend you use the result file I made
load("MC.omit.0.1-0.Rdata")

# make 7 figures which mostly correspond to Figures 1-3
source("makeMCfigure.omit.0.1-0.r")
