#######
# Setup

naiive.tab <- naiive.CI <- naiive.sd.tab <- naiive.se.tab <- naiive.rmse.tab <- naiive.LB.tab <- naiive.UB.tab <- my.tab <- my.CI <- my.sd.tab <- my.se.tab <- my.rmse.tab <- my.LB.tab <- my.UB.tab <- list()
for (v in 1:length(b.vote)){
MC2.out <- MC3.beta.out[[v]]
b.num <- length(MC2.out)
naiive.tab[[v]] <- naiive.CI[[v]] <- naiive.sd.tab[[v]] <- naiive.rmse.tab[[v]] <- naiive.LB.tab[[v]] <- naiive.UB.tab[[v]] <- matrix(NA,b.num,28)
my.tab[[v]] <- my.CI[[v]] <- my.sd.tab[[v]] <-  my.rmse.tab[[v]] <- my.LB.tab[[v]] <- my.UB.tab[[v]] <- matrix(NA,b.num,21)
beta3[6] <- b.vote[v] 
for(i in c(1:b.num)){
beta0[1] <- b[i]
naiive.beta <- c(beta0,beta1[3:4]*sigma10,beta3[5:7]*sigma30,beta1,beta3[5:7]*sigma31,beta2,beta3[5:7]*sigma32,beta3)
my.beta <- c(beta0,beta1,beta2,beta3,sigma32,sigma31,sigma30,sigma10)
naiive.par <- na.omit(MC2.out[[i]]$naiive.par)
my.par <- na.omit(MC2.out[[i]]$my.par)
naiive.se <- na.omit(cbind(MC2.out[[i]]$naiive.se,MC2.out[[i]]$naiive.par))
#naiive.CI[[v]][i,]  <- apply(matrix(as.integer(abs(t(matrix(rep(naiive.beta,nrow(naiive.se)),ncol(naiive.par),nrow(naiive.se)))-naiive.se[,(ncol(naiive.par)+1):(2*ncol(naiive.par))])<naiive.se[,1:ncol(naiive.par)]*qnorm(0.975)),ncol(naiive.par),nrow(naiive.se)),1,mean)
naiive.CI[[v]][i,]  <- apply(matrix(as.integer(abs(t(matrix(rep(naiive.beta,nrow(naiive.se)),ncol(naiive.par),nrow(naiive.se)))-naiive.se[,(ncol(naiive.par)+1):(2*ncol(naiive.par))])<(naiive.se[,1:ncol(naiive.par)]*qnorm(0.975))),nrow(naiive.se),ncol(naiive.par)),2,mean)
my.hessian <- MC2.out[[i]]$my.hessian
my.se <- matrix(NA,length(my.hessian),ncol(my.par))
for (j in 1:length(my.hessian)){
try(my.se[j,] <- sqrt(diag(-solve(my.hessian[[j]]))))
}
my.se <- na.omit(cbind(my.se,my.par))
#my.CI[[v]][i,]  <- apply(matrix(as.integer(abs(t(matrix(rep(my.beta,nrow(my.se)),ncol(my.par),nrow(my.se)))-my.se[,(ncol(my.par)+1):(2*ncol(my.par))])<my.se[,1:ncol(my.par)]*qnorm(0.975)),ncol(my.par),nrow(my.se)),1,mean)
my.CI[[v]][i,]  <- apply(matrix(as.integer(abs(t(matrix(rep(my.beta,nrow(my.se)),ncol(my.par),nrow(my.se)))-my.se[,(ncol(my.par)+1):(2*ncol(my.par))])<my.se[,1:ncol(my.par)]*qnorm(0.975)),nrow(my.se),ncol(my.par)),2,mean)
naiive.tab[[v]][i,] <- apply(naiive.par,2,mean)
my.tab[[v]][i,] <- apply(my.par,2,mean)
naiive.sd.tab[[v]][i,] <- apply(naiive.par,2,sd)
my.sd.tab[[v]][i,] <- apply(my.par,2,sd)
naiive.rmse.tab[[v]][i,] <- sqrt(apply((naiive.par-t(matrix(rep(naiive.beta,nrow(naiive.par)),ncol(naiive.par),nrow(naiive.par))))^2,2,mean))
my.rmse.tab[[v]][i,] <- sqrt(apply((my.par-t(matrix(rep(my.beta,nrow(my.par)),ncol(my.par),nrow(my.par))))^2,2,mean))
naiive.LB.tab[[v]][i,] <- apply(naiive.par,2,quantile,0.025)
naiive.UB.tab[[v]][i,] <- apply(naiive.par,2,quantile,0.975)
my.LB.tab[[v]][i,] <- apply(my.par,2,quantile,0.025)
my.UB.tab[[v]][i,] <- apply(my.par,2,quantile,0.975)
}
}

MCtable <- cbind(my.CI[[1]][,16],naiive.CI[[1]][,27],my.CI[[2]][,16],naiive.CI[[2]][,27],my.CI[[1]][,15],naiive.CI[[1]][,26],my.CI[[1]][,17],naiive.CI[[1]][,28])[1:6,]*100

##########
# Figure 1

location <- c(-0.067,-0.072)
pdf(file="MonteCarlo.pdf", width=4.1, height=8, family="Times", pointsize=12)
par(mfrow=c(2,1))
for (v in 1:length(b.vote)){
target <- c(1:6) 
mu <- my.tab[[v]][target,16]
UB <- my.UB.tab[[v]][target,16]
LB <- my.LB.tab[[v]][target,16]
mu2 <- naiive.tab[[v]][target,27]
UB2 <- naiive.UB.tab[[v]][target,27]
LB2 <- naiive.LB.tab[[v]][target,27]
ylim <- c(min(LB,LB2),max(UB,UB2))
target <- target -5
plot(target,mu,type='n',ylim=ylim,xlab="Log Odds of Mean Retirement Hazard",ylab="Coefficient of Vote",main=paste("(",v,") True Coefficient of Vote=",b.vote[v]))
polygon(c(target,rev(target)),c(UB,rev(LB)),col="gray")
lines(target,mu,lwd=4)
polygon(c(target,rev(target)),c(UB2,rev(LB2)),density=10)
lines(target,mu2,lty=2,lwd=4)
legend(target[1],location[v],c("MNL","SDCR"),lty=c(2,1),lwd=c(4,4),bty="n")
}
dev.off()

##########
# Figure 2

pdf(file="MonteCarlo2.pdf", width=4.1, height=8, family="Times", pointsize=12)
par(mfrow=c(2,1))
v <- 1 
# redistrict
target <- c(1:6) 
mu <- my.tab[[v]][target,15]
UB <- my.UB.tab[[v]][target,15]
LB <- my.LB.tab[[v]][target,15]
mu2 <- naiive.tab[[v]][target,26]
UB2 <- naiive.UB.tab[[v]][target,26]
LB2 <- naiive.LB.tab[[v]][target,26]
ylim <- c(min(LB,LB2),max(UB,UB2))
target <- target -5
plot(target,mu,type='n',ylim=ylim,xlab="Log Odds of Mean Retirement Hazard",ylab="Coefficient of Redistrict",main=paste("(1) True Coefficient of Redistrict =",beta3[5]))
polygon(c(target,rev(target)),c(UB,rev(LB)),col="gray")
lines(target,mu,lwd=4)
polygon(c(target,rev(target)),c(UB2,rev(LB2)),density=10)
lines(target,mu2,lty=2,lwd=4)
legend(target[1],0.8,c("SDCR","MNL"),lty=c(1,2),lwd=c(4,4), bty = "n")
# scandal
target <- c(1:6) 
mu <- my.tab[[v]][target,17]
UB <- my.UB.tab[[v]][target,17]
LB <- my.LB.tab[[v]][target,17]
mu2 <- naiive.tab[[v]][target,28]
UB2 <- naiive.UB.tab[[v]][target,28]
LB2 <- naiive.LB.tab[[v]][target,28]
ylim <- c(min(LB,LB2),max(UB,UB2))
target <- target -5
plot(target,mu,type='n',ylim=ylim,xlab="Log Odds of Mean Retirement Hazard",ylab="Coefficient of Scandal",main=paste("(2) True Coefficient of Scandal =",beta3[7]))
polygon(c(target,rev(target)),c(UB,rev(LB)),col="gray")
lines(target,mu,lwd=4)
polygon(c(target,rev(target)),c(UB2,rev(LB2)),density=10)
lines(target,mu2,lty=2,lwd=4)
legend(target[1],1.8,c("SDCR","MNL"),lty=c(1,2),lwd=c(4,4), bty = "n")
dev.off()


##########
# Figure 3

pdf(file="ConfidenceCoverage.pdf", width=7, height=8, pointsize=12)
plot(c(-4:1),MCtable[,1],type='l',ylim=c(min(MCtable),max(MCtable)),ylab="Coverage Percentage of 95 % Confidence Interval",xlab="Log Odds of Mean Retirement Hazard",lwd=4,lty=2)
lines(c(-4:1),MCtable[,2],lty=1)
lines(c(-4:1),MCtable[,3],lwd=4,lty=2)
lines(c(-4:1),MCtable[,4],lty=2)
lines(c(-4:1),MCtable[,5],lwd=4,lty=3)
lines(c(-4:1),MCtable[,6],lty=3)
lines(c(-4:1),MCtable[,7],lwd=4,lty=4)
lines(c(-4:1),MCtable[,8],lty=4)
legend(-1.5,70,c("SDCR (b_vote=-0.06)","SDCR (b_vote=-0.1)","SDCR (b_redist)","SDCR (b_scandal)","MNL(b_vote=-0.06)","MNL(b_vote=-0.1)","MNL (b_redist)","MNL (b_scandal)"),lty=c(1:4),lwd=c(4,4,4,4,1,1,1,1),bty="n")
dev.off()

